
# 🚀 Flask Blog Starter

A **minimal yet powerful** Flask blog starter template. This project provides a **structured foundation** for building a Flask-based blog with **SQLAlchemy** and **SQLite**.

---

## ✨ Features

✅ **SQLite Database** – Quick and lightweight.
✅ **Scalable Flask Structure** – Organized for **large** applications.
✅ **Virtual Environment Support** – Keep dependencies isolated.
✅ **Easy Configuration** – Modify settings via `config.py`.

---

## 📥 Installation

### 1️⃣ Clone the Repository
```bash
git clone https://github.com/lyznne/flask-blog-starter.git
cd flask-blog-starter
```

### 2️⃣ Create a Virtual Environment (Recommended)
```bash
python3 -m venv venv
```

### 3️⃣ Activate the Virtual Environment

**Linux / Mac:**
```bash
source venv/bin/activate
```
**Windows (CMD / PowerShell):**
```bash
venv\Scripts\activate
```

### 4️⃣ Install Dependencies
```bash
pip install -r requirements.txt
```

---

## 🚀 Usage

Run the application using:
```bash
python run.py
```
The development server will start at:
🌎 **[http://localhost:5000/](http://localhost:5000/)**

---

## ⚙️ Configuration

Modify **`config.py`** to adjust settings like:
- Database URI
- Secret keys
- Debug mode

---

## 👥 Contributing

🎉 **Contributions are welcome!**
- **💡 Found a bug?** Open an issue!
- **📢 Have suggestions?** Submit a pull request!

---

## 📜 License

📄 **MIT License** – You are free to use and modify the code!

---

## 🎯 Acknowledgements

This project was inspired by the **Flask Mega-Tutorial**.

📚 **Resources**:
- 📖 Flask Docs → [Flask Documentation](https://flask.palletsprojects.com/)
- 🛠️ SQLAlchemy → [SQLAlchemy Documentation](https://docs.sqlalchemy.org/)

---

## 🌍 Live Demo

🔗 **Check it out here** → [Flask Blog Starter](https://enoslyznne.pythonanywhere.com/)

---

### 🚀 **Happy Coding!** 🎉
